### org.jfree.layouting.layouter.context

# Class ContentSpecification

- `java.lang.Object`
- - `org.jfree.layouting.layouter.context.ContentSpecification`

`public class ContentSpecification`
`extends java.lang.Object`

=========================================== LibLayout : a free Java layouting library =========================================== Project Info: http://reporting.pentaho.org/liblayout/ (C) Copyright 2006-2007, by Pentaho Corporation and Contributors. This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. [Java is a trademark or registered trademark of Sun Microsystems, Inc. in the United States and other countries.] ------------ $Id: ContentSpecification.java 3524 2007-10-16 11:26:31Z tmorgner $ ------------ (C) Copyright 2006-2007, by Pentaho Corporation.

  ## Constructor Summary

  `ContentSpecification()`

  ## Method Summary

  `ContentToken[]`

  `getAlternateText()`

  `String`

  `getCloseQuote(int level)`

  `ContentToken[]`

  `getContents()`

  `String`

  `getMoveTarget()`

  `String`

  `getOpenQuote(int level)`

  `QuotesPair[]`

  `getQuotes()`

  `int`

  `getQuotingLevel()`

  `ContentToken[]`

  `getStrings()`

  `boolean`

  `isAllowContentProcessing()`

  `boolean`

  `isInhibitContent()`

  `void`

  `setAllowContentProcessing(boolean allowContentProcessing)`

  `void`

  `setAlternateText(ContentToken[] strings)`

  `void`

  `setContents(ContentToken[] contents)`

  `void`

  `setInhibitContent(boolean inhibitContent)`

  `void`

  `setMoveTarget(String moveTarget)`

  `void`

  `setQuotes(QuotesPair[] quotes)`

  `void`

  `setQuotingLevel(int quotingLevel)`

  `void`

  `setStrings(ContentToken[] strings)`

## Constructor Details

### ContentSpecification

    public ContentSpecification()

## Method Details

### getAlternateText

    public ContentToken[] getAlternateText()

### getCloseQuote

    public String getCloseQuote(int level)

### getContents

    public ContentToken[] getContents()

### getMoveTarget

    public String getMoveTarget()

### getOpenQuote

    public String getOpenQuote(int level)

### getQuotes

    public QuotesPair[] getQuotes()

### getQuotingLevel

    public int getQuotingLevel()

### getStrings

    public ContentToken[] getStrings()

### isAllowContentProcessing

    public boolean isAllowContentProcessing()

### isInhibitContent

    public boolean isInhibitContent()

### setAllowContentProcessing

    public void setAllowContentProcessing(boolean allowContentProcessing)

### setAlternateText

    public void setAlternateText(ContentToken[] strings)

### setContents

    public void setContents(ContentToken[] contents)

### setInhibitContent

    public void setInhibitContent(boolean inhibitContent)

### setMoveTarget

    public void setMoveTarget(String moveTarget)

### setQuotes

    public void setQuotes(QuotesPair[] quotes)

### setQuotingLevel

    public void setQuotingLevel(int quotingLevel)

### setStrings

    public void setStrings(ContentToken[] strings)